function F = ent_prob_exit(OmegaF_bar,FF_bar,GF_bar,FF_omega_bar,RLF_bar,muF_dom,tauL,gammaB_bar)
RK_bar = RLF_bar/(OmegaF_bar*(RLF_bar*(gammaB_bar)*(1-GF_bar)/OmegaF_bar+1-(gammaB_bar)*(1-FF_bar)*RLF_bar));
K_by_LF = ((gammaB_bar)*(1-FF_bar)*RLF_bar-1)/((gammaB_bar)*(1-GF_bar)*RK_bar-1);
N_by_LF = (gammaB_bar)*(1-GF_bar)*RK_bar*K_by_LF-(gammaB_bar)*(1-FF_bar)*RLF_bar; 
varrhoF1_by_LF = tauL*((1-FF_bar)/(FF_omega_bar*OmegaF_bar))/((1-FF_bar)/(FF_omega_bar*OmegaF_bar)-muF_dom);
varrhoF2_by_LF = (1-tauL)/tauL*varrhoF1_by_LF;

F = RK_bar*((K_by_LF)*FF_omega_bar*OmegaF_bar^2-(1-GF_bar)+(varrhoF1_by_LF+varrhoF2_by_LF)*((1-muF_dom)*GF_bar*N_by_LF-(1-muF_dom)*K_by_LF*FF_omega_bar*OmegaF_bar^2))-RLF_bar*(FF_omega_bar*OmegaF_bar-(1-FF_bar)-(varrhoF1_by_LF+varrhoF2_by_LF)*FF_omega_bar*OmegaF_bar);