parameters betta_bar,beta_borr_bar,lambda,deltta,chi,sigmma,kappa_b,gama,phi,
tauC,epsilon,epsilon_borr,psi,theta_c,phi_c,theta_d,phi_d,gamma_s,
tauC_s,theta_c_s,phi_c_s,theta_d_s,phi_d_s,gamma_r,gamma_pi,iota_C,iota_H,
rho_premium,rho_risk,rho_risk_s,rho_prefd,rho_prefd_s,rho_prefc,rhoTPS,pi,
rho_prefc_s,rho_zc,rho_zc_s,rho_zd,rho_zd_s,rhoA,rhoG,rhogammaB,n,gamma_y,
muB,tauL,tauL_s,alppha,deltaK,iota_L,phiX,gammaB_bar,rho_riskF,
rho_riskF_s,muF_dom,muF_crb,kappaM1,kappaM1_s,Pi_bar,
kappaK,deltab,etab_bar,etab_s_bar,varphib,g,g_s,Theta;

    n = .5;
    alppha = 0.3;
   
    betta_bar=0.99;              % Discount factor savers
    deltta=.015;             % Depreciation rate
    lambda=0.6085;          % Share of savers
    chi=0.3;                % One minus LTV
    sigmma=10;               % Elasticity of substitution between types of goods
    kappa_b=0.0043;         % Elasticity of domestic interest rate to level of foreign assets

    iota_H=0.7174;          % Labor disutility cost parameter
    iota_C=1.9003;          % Elasticity of substitution between home and foreign goods
    epsilon=0.7187;         % Habit formation parameter
    epsilon_borr=0.4550;    % Habit formation parameter: borrowers
    phi=0.3702;             % Labor disutility
    psi = 1.7490;           % Adjustment cost parameter for residential investment
    muB    = 0.2;            % Monitoring costs - household loan recovery
    gama = 0.7549;
    gamma_s = 0.7549; 

    tauC=.94;             % Fraction of home-produced nondurable consumption Home country
    tauC_s=1 -n*(1-tauC)/(1-n) ;   % Fraction of foreign-produced nondurable consumption Foreign country

    theta_c=0.75;       % Calvo lottery nondurable sector Home country
    theta_d=0.75;       % Calvo lottery durable sector Home country
    phi_c=0.1510;         % Backward looking inflation parameter nondurable sector Home country
    phi_d=0.2515;         % Backward looking inflation parameter durable sector Home country

    theta_c_s=theta_c; %0.7241;     % Calvo lottery nondurable sector Foreign country
    theta_d_s=theta_d;%0.5935;     % Calvo lottery durable sector Foreign country
    phi_c_s=phi_c;%0.1276;         % Backward looking inflation parameter nondurable sector Foreign country
    phi_d_s=phi_d;%0.4335;         % Backward looking inflation parameter durable sector Foreign country

    gamma_pi=1.5579;          % Taylor rule: inflation
    gamma_r=0.8016;           % Taylor rule: smoothing
    gamma_y=0.2023;           % Taylor rule: output growth

    rho_premium=0.7846;      % AR coefficient, international premium shock
    rho_risk=0.8431;     % AR coefficient, risk shock lending rate Home country
    rho_risk_s=rho_risk;    % AR coefficient, risk shock lending rate Foreign country
    rho_prefd=0.9836;        % AR coefficient, preference shock durable sector Home country
    rho_prefd_s=rho_prefd;    % AR coefficient, preference shock durable sector Foreign country
    rho_prefc=0.6649;        % AR coefficient, preference shock nondurable sector Home country
    rho_prefc_s=rho_prefc;    % AR coefficient, preference shock nondurable sector Foreign country
    rho_zc=0.7936;        % AR coefficient, TFP shock nondurable sector Home country
    rho_zc_s=rho_zc;    % AR coefficient, TFP shock nondurable sector Foreign country
    rho_zd=0.8624;        % AR coefficient, TFP shock durable sector Home country
    rho_zd_s=rho_zd;    % AR coefficient, TFP shock durable sector Foreign country
    rhoA = 0.7;
    rhoG = 0.7;
    rhogammaB = 0.7;
    rhoTPS = 0.7;
    g = 0.2;
    g_s = 0.2;
    pi = 4*atan(1);

    deltaK = 0.023;
    phiX = 2;
    tauL = 0.975;
    tauL_s=1-n*(1-tauL)/(1-n); 
    iota_L = 2;
    //gammaB = .95;
    Theta = 0.8;

    kappaK = 100;
    kappaK_s = 100;
    deltab = 0.2;
    deltab_s = 0.2;

    varphib = 0.18;
    varphib_s = 0.18;

    muF_dom    = 0.2;            % Monitoring costs - entrepreneur loan recovery (domestic)
    muF_crb    = 0.2;            % Monitoring costs - entrepreneur loan recovery (cross border)

    rho_riskF=0.8431;
    rho_riskF_s=rho_risk;

kappaM1 = 0;
kappaM1_s = 0;
etab_bar = 0.11;
etab_s_bar = 0.11;

%% Does tax from exiting entrepreneurs go to borrowers as well as savers?
parameters  tax_exiting_entrepreneurs_on;
tax_exiting_entrepreneurs_on = 0;
