function F = ss_fun(x)
global M_
 
NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for i = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(i,:));                   %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(i) ');']);         %    Get the value of parameter i.
end                                                           % End of the loop.  
check = 0;

H_borr_bar = x(1);
tauH = x(2);
H_bar = x(3);

C_borr_bar=gama/(1-epsilon_borr)*W_bar*H_borr_bar^(-phi);
C_s_borr_bar = C_borr_bar;
D_borr_bar=C_borr_bar/upsilon_borr;
L_borr_bar=Pi_bar*omega_bar*D_borr_bar/RL_bar;
Inv_borr_bar = deltta*D_borr_bar;
LF_by_K = 1/K_by_LF;
Z1 = upsilon/deltta*(1-lambda)/lambda*(K_by_H^alppha*(1-tauH)*H_borr_bar-Inv_borr_bar)/dispd_bar;
Z2 = upsilon/deltta*K_by_H^alppha*(1-tauH)/dispd_bar;
Z3 = gama*W_bar/(1-epsilon);
C_bar = gama/(1-epsilon)*W_bar*H_bar^(-phi); 
C_s_bar = C_bar;
C_H_bar = tauC*(lambda*C_bar+(1-lambda)*C_borr_bar);
C_H_s_bar = (1-tauC_s)*(lambda*C_s_bar+(1-lambda)*C_s_borr_bar);
Hc_borr_bar = tauH*H_borr_bar;
Hd_borr_bar = (1-tauH)*H_borr_bar;
Hc_bar = tauH*H_bar;
Hd_bar = (1-tauH)*H_bar;
Hc_tot_bar = lambda*Hc_bar + (1-lambda)*Hc_borr_bar;
Hd_tot_bar = lambda*Hd_bar + (1-lambda)*Hd_borr_bar;
Kc_bar = K_by_H*Hc_tot_bar;
Kd_bar = K_by_H*Hd_tot_bar;
K_bar = Kc_bar + Kd_bar;
Yc_bar = (K_by_H^alppha*Hc_tot_bar)/dispc_bar;
Gov_bar = g*Yc_bar;
LF_bar = LF_by_K*K_bar;
N_bar = K_bar-LF_bar;
C_exit_bar = Theta*(1-gammaB_bar)*N_bar/(gammaB_bar);
tax_exiting_entrepreneur_bar = (1-Theta)*(1-gammaB_bar)*N_bar/(gammaB_bar);
T_borr_bar = (Gov_bar -  tax_exiting_entrepreneurs_on*tax_exiting_entrepreneur_bar)/(1-lambda); 
Bb_bar = LF_bar + (1-lambda)*L_borr_bar;
Kb_bar = Kb_by_Bb*Bb_bar;
bank_profit = Rb_bar*Bb_bar-RR_bar*(Bb_bar-Kb_bar)-.5*kappaK*(Kb_by_Bb-etab_bar)^2*Kb_bar;
Ib_bar = varphib*bank_profit;
I_bar = deltaK*K_bar;

F = [(gama/(1-epsilon_borr)*(1+(deltta+G_bar+(1-F_bar-(1/RL_bar)*Pi_bar)*omega_bar)/upsilon_borr-T_borr_bar/C_borr_bar))^(1/(1+phi))-H_borr_bar;
     C_H_bar+(1-n)/n*C_H_s_bar+C_exit_bar+I_bar+Ib_bar+Gov_bar-Yc_bar;
     Z1+Z2*H_bar-Z3*H_bar^(-phi)];