parameters F_bar,omega_bar,G_bar,RL_bar,RL_s_bar,
    RD_bar,RR_bar,OmegaF_bar,FF_bar,GF_bar,FF_omega_bar,RLF_bar,
    RK_bar,K_by_LF,N_by_LF,Rb_bar,
    varrhoF1_by_LF,varrhoF2_by_LF,RLF_s_bar,RLF_H_bar,RLF_H_s_bar,
    RLF_F_bar,RLF_F_s_bar,RK_s_bar,rK_bar,rK_s_bar,MC_bar,MCc_bar,MCd_bar,
    MCc_s_bar,MCd_s_bar,tobinQ_bar,tobinQ_s_bar,upsilon_borr,upsilon,
    upsilon_borr_s,upsilon_s,K_by_H,W_bar,K_by_H_s,W_s_bar,Kb_by_Bb,
    Phtilde_bar,Pftilde_bar,Pdtilde_bar,Pdtilde_s_bar,dispc_bar,
    dispc_s_bar,dispd_bar,dispd_s_bar,sigma_bar,sigmaF_bar;
F_bar = 0.025;
omega_bar = (1-chi);

sigma_bar = solver1(F_bar,omega_bar);
G_bar = 1- normcdf((0.5*sigma_bar^2 -log(omega_bar))/sigma_bar,0,1);

RR_bar=Pi_bar/betta_bar;
Kb_by_Bb = solver5(etab_bar,kappaK,deltab,varphib,RR_bar);
Rb_bar = RR_bar - kappaK*(Kb_by_Bb-etab_bar)*Kb_by_Bb^2;

RL_bar = Rb_bar/((1-muB)*G_bar/omega_bar+1-F_bar);
RL_s_bar=RL_bar;   
RD_bar = G_bar*RL_bar/omega_bar;
beta_borr_bar = (RL_bar*(1-F_bar+G_bar/omega_bar))^(-1)*Pi_bar;

FF_bar = 0.025;
OmegaF_bar = 0.3;

sigmaF_bar = solver6(FF_bar,OmegaF_bar);
GF_bar = 1- normcdf((0.5*sigmaF_bar^2 -log(OmegaF_bar))/sigmaF_bar,0,1);
FF_omega_bar = 1/(OmegaF_bar*sigmaF_bar*sqrt(2*pi))*exp(-(log(OmegaF_bar) + .5*sigmaF_bar^2)^2/(2*sigmaF_bar^2)); 

RLF_bar = Rb_bar/((1-muF_dom)*GF_bar/OmegaF_bar+1-FF_bar);
gammaB_bar = solver7(OmegaF_bar,FF_bar,GF_bar,FF_omega_bar,RLF_bar,muF_dom,tauL);
RK_bar = RLF_bar/(OmegaF_bar*(RLF_bar*(gammaB_bar)*(1-GF_bar)/OmegaF_bar+1-(gammaB_bar)*(1-FF_bar)*RLF_bar));
K_by_LF = ((gammaB_bar)*(1-FF_bar)*RLF_bar-1)/((gammaB_bar)*(1-GF_bar)*RK_bar-1);
N_by_LF = (gammaB_bar)*(1-GF_bar)*RK_bar*K_by_LF-(gammaB_bar)*(1-FF_bar)*RLF_bar; 

varrhoF1_by_LF = tauL*((1-FF_bar)/(FF_omega_bar*OmegaF_bar))/((1-FF_bar)/(FF_omega_bar*OmegaF_bar)-muF_dom);
varrhoF2_by_LF = (1-tauL)/tauL*varrhoF1_by_LF; 

RLF_s_bar=RLF_bar;  
RLF_H_bar=RLF_bar;
RLF_H_s_bar=RLF_bar;
RLF_F_bar=RLF_bar;
RLF_F_s_bar=RLF_bar;

RK_s_bar = RK_bar;
rK_bar = RK_bar - 1 + deltaK;
rK_s_bar = rK_bar;
tobinQ_bar = 1;
tobinQ_s_bar = 1;

Phtilde_bar = (( 1 - theta_c*Pi_bar^(sigmma-1) )/( 1 - theta_c ) )^(1/(1-sigmma));
Pftilde_bar = (( 1 - theta_c*Pi_bar^(sigmma-1) )/( 1 - theta_c ) )^(1/(1-sigmma));
Pdtilde_bar = (( 1 - theta_d*Pi_bar^(sigmma-1) )/( 1 - theta_d ) )^(1/(1-sigmma));
Pdtilde_s_bar = (( 1 - theta_d*Pi_bar^(sigmma-1) )/( 1 - theta_d ) )^(1/(1-sigmma));
dispc_bar = ( (1-theta_c)*Phtilde_bar^(-sigmma) ) / ( 1 - theta_c*Pi_bar^sigmma );
dispc_s_bar = ( (1-theta_c)*Pftilde_bar^(-sigmma) ) / ( 1 - theta_c*Pi_bar^sigmma );
dispd_bar = ( (1-theta_d)*Pdtilde_bar^(-sigmma) ) / ( 1 - theta_d*Pi_bar^sigmma );
dispd_s_bar = ( (1-theta_d)*Pdtilde_s_bar^(-sigmma) ) / ( 1 - theta_d*Pi_bar^sigmma );

MC_bar = Phtilde_bar*((sigmma-1)/sigmma)*(1-betta*theta_c*Pi_bar^(sigmma+1))/(1-betta*theta_c*Pi_bar^(sigmma));
MCc_bar = MC_bar;
MCd_bar = MC_bar;
MCc_s_bar = MC_bar;
MCd_s_bar = MC_bar;

upsilon_borr=gama*(1-beta_borr_bar*(1-deltta))/(beta_borr_bar*(1-gama)*(1-epsilon_borr));
upsilon=gama*(1-betta_bar*(1-deltta))/(betta_bar*(1-gama)*(1-epsilon));
upsilon_borr_s=gamma_s*(1-beta_borr_bar*(1-deltta))/(beta_borr_bar*(1-gamma_s)*(1-epsilon_borr));
upsilon_s=gamma_s*(1-betta_bar*(1-deltta))/(betta_bar*(1-gamma_s)*(1-epsilon));   

K_by_H = (MC_bar*alppha/rK_bar)^(1/(1-alppha));
W_bar = (1-alppha)*MC_bar*K_by_H^alppha;
K_by_H_s = K_by_H;
W_s_bar = W_bar;
